# Boots Client
# www.launchpad.net/boots
# www.launchpad.net/drizzle
# lib/ui/plain.py
#
# ##### BEGIN LICENSE BLOCK #####
# Version: MPL 1.1
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Boots Client code.
#
# The Initial Developer of the Original Code is Clark Boylan, Ken
# Brotherton, Max Goodman, Victoria Lewis, David Rosenbaum, and Andreas
# Turriff. Portions created by Clark Boylan, Ken Brotherton, Max Goodman,
# Victoria Lewis, David Rosenbaum, and Andreas Turriff are Copyright (C)
# 2009. All Rights Reserved.
#
# Contributor(s):
#
# ##### END LICENSE BLOCK #####

import readline
from boots.lib.ui.generic import StdinDriver, StdoutPresenter

class PlainUI(StdinDriver, StdoutPresenter):
    def __init__(self, prompt):
        self.prompt = prompt

    def get_input(self):
        while True:
            var = raw_input(self.prompt)
            yield var

    def present(self, row):
        print(row)

    def set_prompt(self, prompt):
        self.prompt = prompt
